Stop VM
POST
/api/v1/vm/stop/{id}
const url = 'https://console.cloudlogics.com/api/v1/vm/stop/30035038-738f-46b0-82b0-a634261b1bf4';const options = {method: 'POST', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://console.cloudlogics.com/api/v1/vm/stop/30035038-738f-46b0-82b0-a634261b1bf4 \ --header 'Authorization: <Authorization>'Stop a virtual machine
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
VM ID
Responses
Section titled “Responses”The instance has stopped. This call blocks until it actually has, about 20 seconds.
Media typeapplication/json
A plain acknowledgement. The message text is the whole payload.
object
data
string
Example
{ "data": "instance stopped"}Invalid state transition
Media typeapplication/json
object
data
error
object
code
integer
message
string
page
object
next
string
prev
string
total_size
integer
Examplegenerated
{ "data": "example", "error": { "code": 1, "message": "example" }, "page": { "next": "example", "prev": "example", "total_size": 1 }}Internal server error
Media typeapplication/json
object
data
error
object
code
integer
message
string
page
object
next
string
prev
string
total_size
integer
Examplegenerated
{ "data": "example", "error": { "code": 1, "message": "example" }, "page": { "next": "example", "prev": "example", "total_size": 1 }}